Error running program 1.17

Forums Questions on specific programs Error running program 1.17

This topic contains 2 replies, has 2 voices, and was last updated by Zijie Wang January 12, 2019 at 7:10 am.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #1600

    Zijie Wang
    User

    Hi all,

    I am using a macOS 10.14.2. I have no problems with 2D plotting: Program 1.17. I use Geany and it works when compiling and building. But there is error when I execute:

    
    sh: gnuplot: command not found
    sh: gnuplot: command not found
    sh: gnuplot: command not found
    

    I have tried typing gnuplot into my terminal. And it shows -bash: gnuplot: command not found.
    I have installed the toolbox. And its version is:

    
    Your toolbox version is:
    
        VERSION: 1.1  (18 June 2018)
    

    Could anyone help me?

    Thanks a lot!

    #1601

    Fabian Kindermann
    Moderator

    Dear Zijie Wang,

    did you recently upgrade your system to OS X Mojave and had the compiler package installed before already? If yes, then I recommend you use the uninstallation routine provided in the installation package (here) to completely uninstall all programs from your system and do a clean reinstall.

    If you just installed Fortran using our installation routine, you will have to find out why gnuplot is not installed on your computer. To this end, it would be useful if you opened a terminal and typed which gnuplot and tell me what happened.

    Kind regards,
    Fabian Kindermann

    #1602

    Zijie Wang
    User

    Dear Prof.Kindermann,

    Thank you for your reply.

    I follow your instructions. Uninstalled and installed again.

    It works well now.

    Thank you very much!

    Sincerely,

    Zijie Wang

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.